For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
              • GETList Widgets
              • POSTCreate Widget
              • GETGet Widget
              • PUTUpdate Widget
              • DELDelete Widget
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentWidgetsWidget

Delete Widget

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/content/widgets/:uuid
DELETE
/stores/:store_hash/v3/content/widgets/:uuid
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/content/widgets/uuid \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Deletes a Widget.

Was this page helpful?
Previous

Update Widget

Next

List Widget Templates

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequiredformat: "uuid"
The identifier for a specific widget.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

An empty response.

Errors

404
Not Found Error
422
Unprocessable Entity Error